Subject: [Last-Call] Genart last call review of draft-ietf-tcpm-ao-test-vectors-05

From: Peter Yee via Datatracker <[email-masked]>
Date: Sun, 30 Jan 2022 14:25:28 -0800

Reviewer: Peter Yee
Review result: Ready with Nits

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-tcpm-ao-test-vectors-05
Reviewer: Peter Yee
Review Date: 2022-01-30
IETF LC End Date: 2022-02-01
IESG Telechat date: Not scheduled for a telechat

Summary: This document supplies test vectors for the MTI authentication
algorithms used in the TCP Authentication Option. There are a few nits that
should be corrected prior to publication. I'm not equipped to validate the test
vectors themselves and did not attempt to do so. [Ready with nits.]

Major issues: None

Minor issues: None

Nits/editorial comments:

Page 2, Abstract: move this entire section before the "Status of this Memo"
section, as required by RFC 7322, section 4.

Page 4, first full paragraph: move "[RFC6978]" after "experimental extension"
to avoid confusion.

Page 10, section 5, 1st paragraph: add a period at the end of the sentence.

Page 20, section 7, 1st sentence: add a period at the end of the sentence.

Page 24, section 8.2: add a comma after "e.g.".

Page 25, section 8.4, 2nd bullet item: change "to" to "in".

Page 25, section 8.4, 3rd bullet item: change first "to" to "in".

Page 25, section 9, 2nd paragraph: between the usage in section 3.1.1 and here,
choose a consistent case for "master_key". I know, RFC 5926 (Master_Key) and
RFC 5925 (master_key) are not consistent between themselves.

---

From: "[email-masked]" <[email-masked]>
Date: Sun, 30 Jan 2022 17:14:12 -0800

Hi, Peter,

Many thanks for the edit suggestions.

All were implemented, though:
	- reference to RFC 6978 was moved after the word ’traversal’ for clarity
	- master_key is capitalized in the same way as RFC5925, i.e., all lower-case,
	except when starting a bullet or sentence, where it has an initial capital 

An update should appear as -06 very shortly.

Joe

—
Joe Touch, temporal epistemologist
www.strayalpha.com

> On Jan 30, 2022, at 2:25 PM, Peter Yee via Datatracker <[email-masked]> wrote:
> 
> Reviewer: Peter Yee
> -- 
> last-call mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/last-call